## ros-kinetic-roch-bringup 2.0.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roch_bringup)

find_package(catkin REQUIRED COMPONENTS roslaunch)

catkin_package()
catkin_add_env_hooks(25.roch
  SHELLS sh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)


roslaunch_add_file_check(launch)

install(DIRECTORY launch  config param images interactions test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-roch-bringup (2.0.15-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sun, 17 Sep 2017 16:00:00 -0000

ros-kinetic-roch-bringup (2.0.14-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sun, 17 Sep 2017 16:00:00 -0000

ros-kinetic-roch-bringup (2.0.13-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Wed, 22 Mar 2017 16:00:00 -0000

ros-kinetic-roch-bringup (2.0.12-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Wed, 22 Mar 2017 16:00:00 -0000

ros-kinetic-roch-bringup (1.0.10-0xenial) xenial; urgency=high

  * Add Roch Image.
  * Remove unused param events/bumper and events/wheel_drop.
  * Add rocon_concert files, such as concert_minimal.launch and concert_client.launch.
  * Add param files for capabilities.
  * Support Orbbec Astra.
  * Add interactions.
  * Add missing dependences: laser_filters, rgbd_launch, nodelet, robot_sate_publisher, diagnostic_aggregator
  * Modify XML file of rplidar that string of serial_port to /dev/rplidar and frame_id to base_laser.

 -- Carl <wzhang@softrobtech.com>  Thu, 16 Feb 2017 16:00:00 -0000

ros-kinetic-roch-bringup (1.0.9-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Mon, 06 Feb 2017 16:00:00 -0000

ros-kinetic-roch-bringup (1.0.8-0xenial) xenial; urgency=high

  * Changes permissions of python files.

 -- Carl <wzhang@softrobtech.com>  Sun, 22 Jan 2017 16:00:00 -0000

ros-kinetic-roch-bringup (1.0.7-0xenial) xenial; urgency=high

  * Fixed bugs which will cant not find roch_safety_controller.

 -- Carl <wzhang@softrobtech.com>  Mon, 16 Jan 2017 16:00:00 -0000

ros-kinetic-roch-bringup (1.0.6-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Mon, 16 Jan 2017 16:00:00 -0000

ros-kinetic-roch-bringup (0.0.5-0xenial) xenial; urgency=high

  * Add new env that enable of if use 3d sensor in navigation or not is ROCH_SENSOR_NAV_ENABLE.
  * Modify all structures because of ROCH_SENSOR_NAV_ENABLE.
  * Modify R200.launch.xml for support roch_follower.

 -- Carl <wzhang@softrobtech.com>  Mon, 16 Jan 2017 16:00:00 -0000

ros-kinetic-roch-bringup (0.0.4-0xenial) xenial; urgency=high

  * Aupport Rplidar A1
  * Contributors: Carl

 -- Carl <wzhang@softrobtech.com>  Tue, 13 Dec 2016 16:00:00 -0000

ros-kinetic-roch-bringup (0.0.3-0xenial) xenial; urgency=high

  * Aupport Intel RealSensor 200
  * Contributors: Carl

 -- Carl <wzhang@softrobtech.com>  Thu, 01 Dec 2016 16:00:00 -0000

ros-kinetic-roch-bringup (0.0.2-0xenial) xenial; urgency=high

  * Add laser_filters of lidar
  * Contributors: Carl

 -- Carl <wzhang@softrobtech.com>  Sun, 13 Nov 2016 16:00:00 -0000

ros-kinetic-roch-bringup (0.0.1-0xenial) xenial; urgency=high

  * Catkinize package.
  * First cut of a new install script.
  * Contributors: Carl

 -- Carl <wzhang@softrobtech.com>  Mon, 12 Sep 2016 16:00:00 -0000

=== debian/control ===
Source: ros-kinetic-roch-bringup
Section: misc
Priority: extra
Maintainer: Carl <wzhang@softrobtech.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roslaunch, ros-kinetic-rospy
Homepage: http://ros.org/wiki/roch_bringup
Standards-Version: 3.9.2

Package: ros-kinetic-roch-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-scipy, ros-kinetic-astra-launch, ros-kinetic-depthimage-to-laserscan, ros-kinetic-diagnostic-aggregator, ros-kinetic-freenect-launch, ros-kinetic-imu-filter-madgwick, ros-kinetic-imu-transformer, ros-kinetic-laser-filters, ros-kinetic-microstrain-3dmgx2-imu, ros-kinetic-nmea-comms, ros-kinetic-nmea-navsat-driver, ros-kinetic-nodelet, ros-kinetic-openni2-launch, ros-kinetic-realsense-camera, ros-kinetic-rgbd-launch, ros-kinetic-robot-localization, ros-kinetic-robot-state-publisher, ros-kinetic-robot-upstart, ros-kinetic-roch-base, ros-kinetic-roch-capabilities, ros-kinetic-roch-control, ros-kinetic-roch-description, ros-kinetic-roch-safety-controller, ros-kinetic-roch-sensorpc, ros-kinetic-rocon-app-manager, ros-kinetic-rocon-app-manager-msgs, ros-kinetic-rocon-bubble-icons, ros-kinetic-rocon-interaction-msgs, ros-kinetic-rospy, ros-kinetic-rplidar-ros, ros-kinetic-tf, ros-kinetic-tf2-ros, ros-kinetic-zeroconf-avahi
Description: SawYer roch installation and integration package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-roch-bringup//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
